using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Be.Windows.Forms;
using System.Drawing;

namespace HexCompare
{
    partial class MainForm
    {

        private void tbtnOpen1_Click(object sender, EventArgs e) {
            if (dlgOpen.ShowDialog() == DialogResult.OK) {
                file1 = new FileByteProvider(dlgOpen.FileName);
                hexBox1.ByteProvider = file1;
                tbtnSave1.Enabled = true;
            }
        }

        private void tbtnSave1_Click(object sender, EventArgs e) {
            file1.ApplyChanges();
        }

        private void tbtnOpen2_Click(object sender, EventArgs e) {
            if (dlgOpen.ShowDialog() == DialogResult.OK) {
                file2 = new FileByteProvider(dlgOpen.FileName);
                hexBox2.ByteProvider = file2;
                tbtnSave2.Enabled = true;
            }
        }

        private void tbtnSave2_Click(object sender, EventArgs e) {
            file2.ApplyChanges();
        }

        private void toolStripButton1_Click(object sender, EventArgs e) {
            findDifferences(settings.Threshold,settings.Insertionthreshold);
        }
        void ResizeControls() {
            lstDifferences.Width = Width - 24;
            hexBox1.Width = Width / 2 - 15;
            hexBox2.Width = Width / 2 - 15;
            hexBox2.Location = new Point(Width / 2 + 3, hexBox2.Location.Y);
            hexBox1.Height = Height - 145;
            hexBox2.Height = Height - 145;
        }

    }
}
